SparkFun AutoDriver - Stepper Motor Driver
==========================================

![AutoDriver](https://cdn.sparkfun.com//assets/parts/1/1/2/8/8/13752-01a.jpg)  

[*AutoDriver (BOB-13752)*](https://www.sparkfun.com/products/13752)

The AutoDriver is a bipolar stepper driver based on the ST Micro L6470 chip. It allows a processor to control a single 3A bipolar stepper motor across an 8-45V supply range.

Repository Contents
-------------------
* **/Hardware** - All Eagle design files (.brd, .sch)
* **/Libraries** - All Arduino libraries and board examples
* **/Production** - Test bed files and production panel files


Documentation
--------------
* **[Library](https://github.com/sparkfun/SparkFun_AutoDriver_Arduino_Library)** - Arduino library for the AutoDriver.
* **[Hookup Guide](https://learn.sparkfun.com/tutorials/getting-started-with-the-autodriver---v13)** - Basic hookup guide for the Auto Driver.
* **[SparkFun Fritzing repo](https://github.com/sparkfun/Fritzing_Parts)** - Fritzing diagrams for SparkFun products.
* **[SparkFun 3D Model repo](https://github.com/sparkfun/3D_Models)** - 3D models of SparkFun products. 
* **[SparkFun Graphical Datasheets](https://github.com/sparkfun/Graphical_Datasheets)** -Graphical Datasheets for various SparkFun products.

License Information
-------------------

This product is _**open source**_! 

Please review the LICENSE.md file for license information. 

If you have any questions or concerns on licensing, please contact techsupport@sparkfun.com.

Distributed as-is; no warranty is given.

- Your friends at SparkFun.
